TimerBase Class Referenceabstract

_ More...

`#include <hrtimer.h>`

Inheritance diagram for TimerBase:

## Public Types

enum | Unit { SECONDS = 0, MILLISECONDS, MICROSECONDS, NANOSECONDS }

## Public Member Functions

| TimerBase (Unit unit, bool stuckAtZero)
virtual TimerWord | GetCurrentTimerValue ()=0
virtual TimerWord | TicksPerSecond ()=0
void | StartTimer ()
double | ElapsedTimeAsDouble ()
unsigned long | ElapsedTime ()

## Detailed Description

_

Definition at line 18 of file hrtimer.h.

The documentation for this class was generated from the following file:

- hrtimer.h